<?xml version="1.0" encoding="UTF-8"?>
<xliff xmlns="urn:oasis:names:tc:xliff:document:1.1" version="1.1">
  <file original="NoName" source-language="en" datatype="plaintext" target-language="en">
    <body>
      <trans-unit xml:space="preserve" approved="no" id="c9f876a2fbb4c93c" weblate-flags="read-only">
        <source>Introduction</source>
        <target state="translated">Introduction</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">10</context>
        </context-group>
        <note from="developer">type: section title</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="bc8739f908cbffb2" weblate-flags="read-only">
        <source>Beast is a C++ header-only library serving as a foundation for writing interoperable networking libraries by providing [*low-level HTTP/1, WebSocket, and networking protocol] vocabulary types and algorithms using the consistent asynchronous model of __Asio__.</source>
        <target state="translated">Beast is a C++ header-only library serving as a foundation for writing interoperable networking libraries by providing [*low-level HTTP/1, WebSocket, and networking protocol] vocabulary types and algorithms using the consistent asynchronous model of __Asio__.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">13</context>
        </context-group>
        <note from="developer">type: paragraph</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="a24b7475615e469b" weblate-flags="read-only">
        <source>This library is designed for:</source>
        <target state="translated">This library is designed for:</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">18</context>
        </context-group>
        <note from="developer">type: paragraph</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="5faa84382e22b709" weblate-flags="read-only">
        <source>* [*Symmetry:] Algorithms are role-agnostic; build clients, servers, or both.</source>
        <target state="translated">* [*Symmetry:] Algorithms are role-agnostic; build clients, servers, or both.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">20</context>
        </context-group>
        <note from="developer">type: list</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="befa20dd4dd5db37" weblate-flags="read-only">
        <source>* [*Ease of Use:] __Asio__ users will immediately understand Beast.</source>
        <target state="translated">* [*Ease of Use:] __Asio__ users will immediately understand Beast.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">22</context>
        </context-group>
        <note from="developer">type: list</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="0fc7dcd4c1a5f9c6" weblate-flags="read-only">
        <source>* [*Flexibility:] Users make the important decisions such as buffer or</source>
        <target state="translated">* [*Flexibility:] Users make the important decisions such as buffer or</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">24</context>
        </context-group>
        <note from="developer">type: list</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="4871ae617bf950bd" weblate-flags="read-only">
        <source>* [*Performance:] Build applications handling thousands of connections or more.</source>
        <target state="translated">* [*Performance:] Build applications handling thousands of connections or more.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">27</context>
        </context-group>
        <note from="developer">type: list</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="596fbd7ead10b352" weblate-flags="read-only">
        <source>* [*Basis for Further Abstraction.] Components are well-suited for building upon.</source>
        <target state="translated">* [*Basis for Further Abstraction.] Components are well-suited for building upon.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">29</context>
        </context-group>
        <note from="developer">type: list</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="e936c6e439dea57b" weblate-flags="read-only">
        <source>This library is not a client or server, but it can be used to build those things. Many examples are provided, including clients and servers, which may be used as a starting point for writing your own program.</source>
        <target state="translated">This library is not a client or server, but it can be used to build those things. Many examples are provided, including clients and servers, which may be used as a starting point for writing your own program.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">31</context>
        </context-group>
        <note from="developer">type: paragraph</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="b8b4b3820669c03c" weblate-flags="read-only">
        <source>Motivation</source>
        <target state="translated">Motivation</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">35</context>
        </context-group>
        <note from="developer">type: heading</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="df91720b97d78f5e" weblate-flags="read-only">
        <source>Beast empowers users to create their own libraries, clients, and servers using HTTP/1 and WebSocket. Code will be easier and faster to implement, understand, and maintain, because Beast takes care of the low-level protocol details. The HTTP and WebSocket protocols drive most of the World Wide Web. Every web browser implements these protocols to load webpages and to enable client side programs (often written in JavaScript) to communicate interactively. C++ benefits greatly from having a standardized implementation of these protocols.</source>
        <target state="translated">Beast empowers users to create their own libraries, clients, and servers using HTTP/1 and WebSocket. Code will be easier and faster to implement, understand, and maintain, because Beast takes care of the low-level protocol details. The HTTP and WebSocket protocols drive most of the World Wide Web. Every web browser implements these protocols to load webpages and to enable client side programs (often written in JavaScript) to communicate interactively. C++ benefits greatly from having a standardized implementation of these protocols.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">37</context>
        </context-group>
        <note from="developer">type: paragraph</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="8b11f6ce20c469c2" weblate-flags="read-only">
        <source>Requirements</source>
        <target state="translated">Requirements</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">49</context>
        </context-group>
        <note from="developer">type: section title</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="a2e57cba24783cb1" weblate-flags="read-only">
        <source>This library is for programmers familiar with __Asio__. Users who</source>
        <target state="translated">This library is for programmers familiar with __Asio__. Users who</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">52</context>
        </context-group>
        <note from="developer">type: paragraph</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="a543e32b41f64843" weblate-flags="read-only">
        <source>Beast requires:</source>
        <target state="translated">Beast requires:</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">57</context>
        </context-group>
        <note from="developer">type: paragraph</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="f2eac1771bb72094" weblate-flags="read-only">
        <source>* [*C++11:] Robust support for most language features.
* [*Boost:] Beast only works with Boost, not stand-alone Asio
* [*OpenSSL:] Version 1.0.2 or higher. Required to build the tests, examples, and to use TLS/Secure sockets.</source>
        <target state="translated">* [*C++11:] Robust support for most language features.
* [*Boost:] Beast only works with Boost, not stand-alone Asio
* [*OpenSSL:] Version 1.0.2 or higher. Required to build the tests, examples, and to use TLS/Secure sockets.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">59</context>
        </context-group>
        <note from="developer">type: list</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="332881fcf3d04c68" weblate-flags="read-only">
        <source>Tested with these compilers: msvc-14+, gcc 5.0+, clang 3.6+.</source>
        <target state="translated">Tested with these compilers: msvc-14+, gcc 5.0+, clang 3.6+.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">63</context>
        </context-group>
        <note from="developer">type: paragraph</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="38ed6ab3b2cd4bb8" weblate-flags="read-only">
        <source>Sources are [*header-only]. Adding additional libraries to the linking step for your programs to use Beast is normally not necessary, except for these cases:</source>
        <target state="translated">Sources are [*header-only]. Adding additional libraries to the linking step for your programs to use Beast is normally not necessary, except for these cases:</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">65</context>
        </context-group>
        <note from="developer">type: paragraph</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="b43f320dd942dffb" weblate-flags="read-only">
        <source>* When using coroutines created by calling 
[@boost:/doc/html/boost_asio/reference/spawn.html `boost::asio::spawn`],
you will need to add the
[@boost:/libs/coroutine/index.html Boost.Coroutine]
library to your program.</source>
        <target state="translated">* When using coroutines created by calling 
[@boost:/doc/html/boost_asio/reference/spawn.html `boost::asio::spawn`],
you will need to add the
[@boost:/libs/coroutine/index.html Boost.Coroutine]
library to your program.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">69</context>
        </context-group>
        <note from="developer">type: list</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="5e11ccdb07464299" weblate-flags="read-only">
        <source>* When using
[@boost:/doc/html/boost_asio/reference/ssl__stream.html `boost::asio::ssl::stream`],
you will need to add the
[@https://www.openssl.org/ OpenSSL]
library to your program.</source>
        <target state="translated">* When using
[@boost:/doc/html/boost_asio/reference/ssl__stream.html `boost::asio::ssl::stream`],
you will need to add the
[@https://www.openssl.org/ OpenSSL]
library to your program.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">75</context>
        </context-group>
        <note from="developer">type: list</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="858e443d82de11a1" weblate-flags="read-only">
        <source>Please visit the [@boost:/more/getting_started.html Boost documentation] for instructions on how to build and link with Boost libraries for your particular environment system.</source>
        <target state="translated">Please visit the [@boost:/more/getting_started.html Boost documentation] for instructions on how to build and link with Boost libraries for your particular environment system.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">81</context>
        </context-group>
        <note from="developer">type: paragraph</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="b49b36550c5cd5b8" weblate-flags="read-only">
        <source>Reporting Bugs</source>
        <target state="translated">Reporting Bugs</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">89</context>
        </context-group>
        <note from="developer">type: section title</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="a93653da1405d29f" weblate-flags="read-only">
        <source>To report bugs or get help using Beast, GitHub issues are preferred. Please visit [@https://github.com/boostorg/beast/issues https://github.com/boostorg/beast/issues] to ask a question, report a defect, or request a feature. If you prefer to keep your issue or question confidential please email the author at [@mailto:vinnie.falco%40gmail.com vinnie.falco@gmail.com].</source>
        <target state="translated">To report bugs or get help using Beast, GitHub issues are preferred. Please visit [@https://github.com/boostorg/beast/issues https://github.com/boostorg/beast/issues] to ask a question, report a defect, or request a feature. If you prefer to keep your issue or question confidential please email the author at [@mailto:vinnie.falco%40gmail.com vinnie.falco@gmail.com].</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">91</context>
        </context-group>
        <note from="developer">type: paragraph</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="6d47efa6bbf1acc4" weblate-flags="read-only">
        <source>Credits</source>
        <target state="translated">Credits</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">102</context>
        </context-group>
        <note from="developer">type: section title</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="f93918d7d30182fb" weblate-flags="read-only">
        <source>Boost.Asio is the inspiration behind which all of the interfaces and implementation strategies are built. Some parts of the documentation are written to closely resemble the wording and presentation of Boost.Asio documentation. Credit goes to [@https://github.com/chriskohlhoff Christopher Kohlhoff] for his wonderful Asio library and the ideas in [@http://cplusplus.github.io/networking-ts/draft.pdf [*C++ Extensions for Networking]] which power Beast.</source>
        <target state="translated">Boost.Asio is the inspiration behind which all of the interfaces and implementation strategies are built. Some parts of the documentation are written to closely resemble the wording and presentation of Boost.Asio documentation. Credit goes to [@https://github.com/chriskohlhoff Christopher Kohlhoff] for his wonderful Asio library and the ideas in [@http://cplusplus.github.io/networking-ts/draft.pdf [*C++ Extensions for Networking]] which power Beast.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">104</context>
        </context-group>
        <note from="developer">type: paragraph</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="bec9127fc9cbfd32" weblate-flags="read-only">
        <source>Beast would not be possible without the support of [@https://www.ripple.com Ripple] during the library's early development, or the ideas, time and patience contributed by [@https://github.com/JoelKatz David Schwartz], [@https://github.com/ximinez Edward Hennis], [@https://github.com/howardhinnant Howard Hinnant], [@https://github.com/miguelportilla Miguel Portilla], [@https://github.com/nbougalis Nik Bougalis], [@https://github.com/seelabs Scott Determan] and [@https://github.com/scottschurr Scott Schurr]. Many thanks to [@https://github.com/K-ballo Agustín Bergé], [@http://www.boost.org/users/people/glen_fernandes.html Glen Fernandes], and [@https://github.com/pdimov Peter Dimov] for tirelessly answering questions on the [@https://slack.cpp.al/ C++ Language Slack Workspace].</source>
        <target state="translated">Beast would not be possible without the support of [@https://www.ripple.com Ripple] during the library's early development, or the ideas, time and patience contributed by [@https://github.com/JoelKatz David Schwartz], [@https://github.com/ximinez Edward Hennis], [@https://github.com/howardhinnant Howard Hinnant], [@https://github.com/miguelportilla Miguel Portilla], [@https://github.com/nbougalis Nik Bougalis], [@https://github.com/seelabs Scott Determan] and [@https://github.com/scottschurr Scott Schurr]. Many thanks to [@https://github.com/K-ballo Agustín Bergé], [@http://www.boost.org/users/people/glen_fernandes.html Glen Fernandes], and [@https://github.com/pdimov Peter Dimov] for tirelessly answering questions on the [@https://slack.cpp.al/ C++ Language Slack Workspace].</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">113</context>
        </context-group>
        <note from="developer">type: paragraph</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="785082659b4afafc" weblate-flags="read-only">
        <source>Thanks to [@https://github.com/djarek Damian Jarek] for his generous participation and source code contributions.</source>
        <target state="translated">Thanks to [@https://github.com/djarek Damian Jarek] for his generous participation and source code contributions.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">132</context>
        </context-group>
        <note from="developer">type: paragraph</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="607c0f960c9f1b76" weblate-flags="read-only">
        <source>Thanks to [@https://github.com/madmongo1 Richard Hodges] (hodges.r@gmail.com) for maintaining Beast on behalf of the [@https://cppalliance.org C++ Alliance].</source>
        <target state="translated">Thanks to [@https://github.com/madmongo1 Richard Hodges] (hodges.r@gmail.com) for maintaining Beast on behalf of the [@https://cppalliance.org C++ Alliance].</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">136</context>
        </context-group>
        <note from="developer">type: paragraph</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="7698b8d8eb0435b8" weblate-flags="read-only">
        <source>Many thanks to [@https://www.jetbrains.com Jetbrains s.r.o.] for generously providing the Beast development team with All Product Developmnent Licenses.</source>
        <target state="translated">Many thanks to [@https://www.jetbrains.com Jetbrains s.r.o.] for generously providing the Beast development team with All Product Developmnent Licenses.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">139</context>
        </context-group>
        <note from="developer">type: paragraph</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="b3864696e819a0d9" weblate-flags="read-only">
        <source>Documentation</source>
        <target state="translated">Documentation</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">147</context>
        </context-group>
        <note from="developer">type: heading 1</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="810e70d737f019d3" weblate-flags="read-only">
        <source>Visit [@https://boost.org/libs/beast https://boost.org/libs/beast] for complete documentation.</source>
        <target state="translated">Visit [@https://boost.org/libs/beast https://boost.org/libs/beast] for complete documentation.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">149</context>
        </context-group>
        <note from="developer">type: paragraph</note>
      </trans-unit>
    </body>
  </file>
</xliff>
